petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateExodus

Create a DMPlex mesh from an ExodusII file ID.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodus(MPI_Comm comm, PetscInt exoid, PetscBool interpolate, DM *dm)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| exoid | - The ExodusII id associated with a exodus file and obtained using ex_open
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

### Keywords

mesh,ExodusII

### See Also

DMPLEX, DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexexodusii.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages